org.apache.sysds.runtime.io

## Class FrameReaderBinaryBlock

- java.lang.Object
- - org.apache.sysds.runtime.io.FrameReader
  - - org.apache.sysds.runtime.io.FrameReaderBinaryBlock

- Direct Known Subclasses:
    FrameReaderBinaryBlockParallel

      public class FrameReaderBinaryBlock
      extends FrameReader

  Single-threaded frame binary block reader.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrameReaderBinaryBlock()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FrameBlock` | `readFirstBlock(String fname)` Specific functionality of FrameReaderBinaryBlock, mostly used for testing.
    `FrameBlock` | `readFrameFromHDFS(String fname, Types.ValueType[] schema, String[] names, long rlen, long clen)`
    `FrameBlock` | `readFrameFromInputStream(InputStream is, Types.ValueType[] schema, String[] names, long rlen, long clen)`

    - ### Methods inherited from class org.apache.sysds.runtime.io.FrameReader

      `getDefColNames, getDefSchema, readFrameFromHDFS, readFrameFromHDFS, readFrameFromInputStream, readFrameFromInputStream`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrameReaderBinaryBlock

          public FrameReaderBinaryBlock()

  - ### Method Detail

    - #### readFrameFromHDFS

          public final FrameBlock readFrameFromHDFS(String fname,
                                                    Types.ValueType[] schema,
                                                    String[] names,
                                                    long rlen,
                                                    long clen)
                                             throws IOException,
                                                    DMLRuntimeException

      Specified by:
        `readFrameFromHDFS` in class `FrameReader`
      Throws:
        `IOException`
        `DMLRuntimeException`

    - #### readFrameFromInputStream

          public FrameBlock readFrameFromInputStream(InputStream is,
                                                     Types.ValueType[] schema,
                                                     String[] names,
                                                     long rlen,
                                                     long clen)
                                              throws IOException,
                                                     DMLRuntimeException

      Specified by:
        `readFrameFromInputStream` in class `FrameReader`
      Throws:
        `IOException`
        `DMLRuntimeException`

    - #### readFirstBlock

          public FrameBlock readFirstBlock(String fname)
                                    throws IOException

      Specific functionality of FrameReaderBinaryBlock, mostly used for testing.
      Parameters:
        `fname` - file name
      Returns:
        frame block
      Throws:
        `IOException` - if IOException occurs

Copyright © 2021 The Apache Software Foundation. All rights reserved.